# eric4.Preferences.ConfigurationPages.EditorStylesPage

Module implementing the Editor Styles configuration page.

### Classes

EditorStylesPage | Class implementing the Editor Styles configuration page.

### Functions

create | Module function to create the configuration page.

## EditorStylesPage

Class implementing the Editor Styles configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorStylesPage

### Methods

EditorStylesPage | Constructor
on_defaultFontButton_clicked | Private method used to select the default font for the editor.
on_edgeBackgroundColorButton_clicked | Private slot to set the colour for the edge background or line.
on_linenumbersFontButton_clicked | Private method used to select the font for the editor margins.
on_monospacedFontButton_clicked | Private method used to select the font to be used as the monospaced font.
polishPage | Public slot to perform some polishing actions.
save | Public slot to save the Editor Styles configuration.

#### EditorStylesPage (Constructor)

EditorStylesPage()

Constructor

#### EditorStylesPage.on_defaultFontButton_clicked

on_defaultFontButton_clicked()

Private method used to select the default font for the editor.

#### EditorStylesPage.on_edgeBackgroundColorButton_clicked

on_edgeBackgroundColorButton_clicked()

Private slot to set the colour for the edge background or line.

#### EditorStylesPage.on_linenumbersFontButton_clicked

on_linenumbersFontButton_clicked()

Private method used to select the font for the editor margins.

#### EditorStylesPage.on_monospacedFontButton_clicked

on_monospacedFontButton_clicked()

Private method used to select the font to be used as the monospaced font.

#### EditorStylesPage.polishPage

polishPage()

Public slot to perform some polishing actions.

#### EditorStylesPage.save

save()

Public slot to save the Editor Styles configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up